### Function

# Gimp progress_install_vtable

since: 2.4

#### Declaration [src]

    const gchar*
    gimp_progress_install_vtable (
      const GimpProgressVtable* vtable,
      gpointer user_data,
      GDestroyNotify user_data_destroy
    )

#### Description

No description available.

Available since: 2.4

#### Parameters

`vtable`

  Type: `GimpProgressVtable`

  A pointer to a `GimpProgressVtable`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  A pointer that is passed as user_data to all vtable functions.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `user_data`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `const gchar*`

The name of the temporary procedure that’s been installed.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.